rpms/anacron/devel anacron-2.3-fdclose.patch, 1.1, 1.2 anacron-2.3-mail-content-type-77108.patch, 1.1, 1.2 anacron.init, 1.18, 1.19 anacron-2.3-onbattery.patch, 1.1, NONE anacron-2.3-sterr_null.patch, 1.1, NONE

Marcela Mašláňová mmaslano at fedoraproject.org
Tue Sep 23 08:23:45 UTC 2008


Author: mmaslano

Update of /cvs/pkgs/rpms/anacron/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv9043

Modified Files:
	anacron-2.3-fdclose.patch 
	anacron-2.3-mail-content-type-77108.patch anacron.init 
Removed Files:
	anacron-2.3-onbattery.patch anacron-2.3-sterr_null.patch 
Log Message:
Fix fuzz problem, remove unused patches.


anacron-2.3-fdclose.patch:

Index: anacron-2.3-fdclose.patch
===================================================================
RCS file: /cvs/pkgs/rpms/anacron/devel/anacron-2.3-fdclose.patch,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- anacron-2.3-fdclose.patch	12 Sep 2006 11:34:21 -0000	1.1
+++ anacron-2.3-fdclose.patch	23 Sep 2008 08:23:14 -0000	1.2
@@ -1,7 +1,7 @@
-diff -uNr anacron-2.3-orig/global.h anacron-2.3/global.h
---- anacron-2.3-orig/global.h	2000-06-23 01:00:14.000000000 +0100
-+++ anacron-2.3/global.h	2006-03-20 15:31:28.000000000 +0000
-@@ -60,6 +60,7 @@
+diff -up anacron-2.3/global.h.fdclose anacron-2.3/global.h
+--- anacron-2.3/global.h.fdclose	2008-09-23 10:06:04.000000000 +0200
++++ anacron-2.3/global.h	2008-09-23 10:06:04.000000000 +0200
+@@ -63,6 +63,7 @@ struct job_rec1 {
     int tab_line;
     int arg_num;
     int timestamp_fd;
@@ -9,9 +9,9 @@
     int output_fd;
     int mail_header_size;
     pid_t job_pid;
-diff -uNr anacron-2.3-orig/runjob.c anacron-2.3/runjob.c
---- anacron-2.3-orig/runjob.c	2006-02-21 14:05:08.000000000 +0000
-+++ anacron-2.3/runjob.c	2006-03-20 15:32:32.000000000 +0000
+diff -up anacron-2.3/runjob.c.fdclose anacron-2.3/runjob.c
+--- anacron-2.3/runjob.c.fdclose	2008-09-23 10:06:04.000000000 +0200
++++ anacron-2.3/runjob.c	2008-09-23 10:06:04.000000000 +0200
 @@ -38,12 +38,12 @@
  #include <langinfo.h>
  
@@ -27,7 +27,7 @@
  
      i = 0;
      name = NULL;
-@@ -53,16 +53,24 @@
+@@ -53,16 +53,24 @@ temp_file()
  	free(name);
  	name = tempnam(NULL, NULL);
  	if (name == NULL) die("Can't find a unique temporary filename");
@@ -58,7 +58,7 @@
  }
  
  static off_t
-@@ -170,17 +178,28 @@
+@@ -167,17 +175,28 @@ launch_mailer(job_rec *jr)
      pid = xfork();
      if (pid == 0)
      {
@@ -88,16 +88,16 @@
  	/* Here, I basically mirrored the way /usr/sbin/sendmail is called
  	 * by cron on a Debian system, except for the "-oem" and "-or0s"
  	 * options, which don't seem to be appropriate here.
-@@ -225,7 +244,7 @@
-     setup_env(jr);
+@@ -236,7 +255,7 @@ launch_job(job_rec *jr)
+ 	    jr->mailto = username ();
  
      /* create temporary file for stdout and stderr of the job */
 -    fd = jr->output_fd = temp_file();
 +    temp_file(jr); fd = jr->output_fd;
      /* write mail header */
      xwrite(fd, "From: ");
-     xwrite(fd, username());
-@@ -283,6 +302,7 @@
+     xwrite(fd, "Anacron <");
+@@ -302,6 +321,7 @@ tend_job(job_rec *jr, int status)
      running_jobs--;
      if (mail_output) launch_mailer(jr);
      xclose(jr->output_fd);

anacron-2.3-mail-content-type-77108.patch:

Index: anacron-2.3-mail-content-type-77108.patch
===================================================================
RCS file: /cvs/pkgs/rpms/anacron/devel/anacron-2.3-mail-content-type-77108.patch,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- anacron-2.3-mail-content-type-77108.patch	9 Sep 2004 03:00:12 -0000	1.1
+++ anacron-2.3-mail-content-type-77108.patch	23 Sep 2008 08:23:14 -0000	1.2
@@ -1,6 +1,6 @@
-diff -u anacron-2.3/runjob.c~ anacron-2.3/runjob.c
---- anacron-2.3/runjob.c~	2003-07-10 15:25:44.000000000 +0900
-+++ anacron-2.3/runjob.c	2003-07-10 15:25:44.000000000 +0900
+diff -up anacron-2.3/runjob.c.charset anacron-2.3/runjob.c
+--- anacron-2.3/runjob.c.charset	2008-09-23 09:42:49.000000000 +0200
++++ anacron-2.3/runjob.c	2008-09-23 09:42:49.000000000 +0200
 @@ -35,6 +35,8 @@
  #include <string.h>
  #include "global.h"
@@ -10,13 +10,13 @@
  static int
  temp_file()
  /* Open a temporary file and return its file descriptor */
-@@ -217,6 +219,9 @@
-     xwrite(fd, "To: ");
-     xwrite(fd, username());
+@@ -247,6 +249,9 @@ launch_job(job_rec *jr)
+        xwrite(fd, username());
+     }
      xwrite(fd, "\n");
 +    xwrite(fd, "Content-Type: text/plain; charset=\"");
 +    xwrite(fd, nl_langinfo(CODESET));
 +    xwrite(fd, "\"\n");
      xwrite(fd, "Subject: Anacron job '");
      xwrite(fd, jr->ident);
-     xwrite(fd, "'\n\n");
+     xwrite(fd, "' on ");


Index: anacron.init
===================================================================
RCS file: /cvs/pkgs/rpms/anacron/devel/anacron.init,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -r1.18 -r1.19
--- anacron.init	22 Sep 2008 16:12:15 -0000	1.18
+++ anacron.init	23 Sep 2008 08:23:14 -0000	1.19
@@ -1,7 +1,7 @@
 #!/bin/sh
 # Startup script for anacron
 #
-# chkconfig: 2345 99 05
+# chkconfig: 2345 95 05
 # description: Run cron jobs that were left out due to downtime
 # pidfile: /var/run/anacron.pid
 #
@@ -11,14 +11,15 @@
 [ -f /usr/sbin/anacron ] || exit 0
 
 prog="anacron"
-PIDFILE=/var/spool/anacron/cron.daily
+PIDFILE=/var/run/${prog}.pid
 LOCKFILE=/var/lock/subsys/$prog
 #
 #  NOTE: anacron exits after it has determined it has no more work to do.
 #        Hence, its initscript cannot do normal lock file management.
-#        The anacron binary now creates its own timestamps in files 
-#	 /var/spool/anacron/cron.{daily,monthly,weekly}
-#        and /var/lock/subsys lock files. 
+#        The anacron binary now creates its own /var/run/anacron.pid pid file
+#        and /var/lock/subsys lock files, and removes them automatically at exit,
+#        so at least there will be no more "anacron is dead but subsys locked" 
+#        messages.
 #
 
 start() {
@@ -28,8 +29,8 @@
     if [ $RETVAL -ne 0 ]; then
 	failure;
     fi;
-    [ "$RETVAL" = 0 ] && touch $LOCKFILE
     echo
+    return $RETVAL
 }
 
 stop() {
@@ -41,10 +42,11 @@
 	    failure;
 	fi;
     else
+	RETVAL=1
 	failure;
     fi
-    [ "$RETVAL" = 0 ] && touch $LOCKFILE
     echo
+    return $RETVAL
 }
 
 case "$1" in
@@ -57,9 +59,7 @@
 	    ;;
 	
 	status)
-	    ## hard to say - anacron is up only when cron wake him
-	    status $prog
-	    RETVAL=$?
+	    status anacron
 	    ;;
 
 	restart)
@@ -68,16 +68,15 @@
 	    ;;
 
 	condrestart)
-		if [ -f /var/lock/subsys/anacron ]; then
-			stop
-			sleep 2
-			start
-		fi
-		;;
-
+	    if [ -f $LOCKFILE ]; then
+		stop
+		start
+	    fi
+	    ;;
+	
 	*)
 	    echo $"Usage: $0 {start|stop|restart|condrestart|status}"
-	    RETVAL=3
+	    exit 1
 
 esac
 


--- anacron-2.3-onbattery.patch DELETED ---


--- anacron-2.3-sterr_null.patch DELETED ---




More information about the fedora-extras-commits mailing list